Bug 227291 - Unskip deltablue-for-of.js on arm and mips
Summary: Unskip deltablue-for-of.js on arm and mips
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-23 07:47 PDT by Mikhail R. Gadelha
Modified: 2021-11-09 04:13 PST (History)
3 users (show)

See Also:


Attachments
Patch (1.61 KB, patch)
2021-06-23 07:49 PDT, Mikhail R. Gadelha
no flags Details | Formatted Diff | Diff
Patch (1.62 KB, patch)
2021-06-23 08:44 PDT, Mikhail R. Gadelha
no flags Details | Formatted Diff | Diff
Patch (1.63 KB, patch)
2021-09-20 10:54 PDT, Mikhail R. Gadelha
no flags Details | Formatted Diff | Diff
Patch (1.63 KB, patch)
2021-09-21 05:16 PDT, Mikhail R. Gadelha
no flags Details | Formatted Diff | Diff
Patch (1.63 KB, patch)
2021-11-04 09:58 PDT, Mikhail R. Gadelha
no flags Details | Formatted Diff | Diff
Patch (1.98 KB, patch)
2021-11-08 11:27 PST, Mikhail R. Gadelha
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail R. Gadelha 2021-06-23 07:47:02 PDT
Unskip deltablue-for-of.js on arm and mips
Comment 1 Mikhail R. Gadelha 2021-06-23 07:49:44 PDT
Created attachment 432040 [details]
Patch
Comment 2 Mikhail R. Gadelha 2021-06-23 08:44:29 PDT
Created attachment 432050 [details]
Patch
Comment 3 Caio Lima 2021-06-24 09:14:33 PDT
Comment on attachment 432050 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=432050&action=review

> JSTests/ChangeLog:10
> +        number of iterations and constraints.

Is it safe to to for all architectures. If so, that’s good. Otherwise, maybe it’s possible to conditionally change values for ARMv7 and MIPS.
Comment 4 Mikhail R. Gadelha 2021-06-25 06:40:05 PDT
Yeah, so the updated test case doesn't timeout in neither mips or arm with more than 50 iterations tested.

There doesn't seem to timeout in any other EWS bot either.
Comment 5 Mikhail R. Gadelha 2021-09-20 10:54:09 PDT
Created attachment 438697 [details]
Patch
Comment 6 Mikhail R. Gadelha 2021-09-21 05:16:49 PDT
Created attachment 438809 [details]
Patch
Comment 7 Mikhail R. Gadelha 2021-11-04 09:58:53 PDT
Created attachment 443315 [details]
Patch
Comment 8 Mikhail R. Gadelha 2021-11-08 11:27:56 PST
Created attachment 443578 [details]
Patch
Comment 9 EWS 2021-11-09 04:12:51 PST
Committed r285490 (244014@main): <https://commits.webkit.org/244014@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 443578 [details].
Comment 10 Radar WebKit Bug Importer 2021-11-09 04:13:22 PST
<rdar://problem/85197426>